@import url('https://fonts.googleapis.com/css?family=Pirata+One|Rubik:900');
html {
    overflow-x: hidden;
}

body {
    top: 0;
    left: 0;
    overflow-x: hidden;
    display: block;
    background: linear-gradient(to right, #24243e, #141E30, #0f0c29);
}

.flex {
    display: flex;
    justify-content: center;
}

@keyframes easeAnimation {
    0% {
        font-size: 3rem;
    }
    100% {
        font-size: 6rem;
    }
}

.heading {
    text-align: center;
    padding-top: 20px;
    /*Prevent Highlighting*/
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.heading img {
    animation: 1s ease-out 0s 1 slideAnimation;
    object-fit: cover;
    filter: 
        drop-shadow(10px 10px 10px rgba(0,0,0,0.5))
        drop-shadow(20px 20px 20px rgba(0,0,0,0.4))
        drop-shadow(30px 30px 30px rgba(0,0,0,0.1));
    opacity: 0.7;
    width:250px;
    height:200px;
    position: relative;
    transition: all ease 1s;
}

.heading img:hover {
    filter: 
        drop-shadow(12px 12px 10px rgba(0,0,0,0.5))
        drop-shadow(24px 24px 20px rgba(0,0,0,0.4))
        drop-shadow(36px 36px 30px rgba(0,0,0,0.1));
    opacity: 1;
    transition: all ease 1s;
}

.heading h1 {
    animation: 0.5s ease-out 0s 1 easeAnimation;

    margin-top: 0px;
    text-transform: Uppercase;
    margin-bottom: .5em;
    font-family: 'Rubik', sans-serif;
    font-size: 6rem;
    position: relative;
    background: linear-gradient(to right, #24243f, #141E31, #0f0c28);

    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    transition: all ease 1s;
}

.heading h1:before {
    content: attr(data-text);
    position: absolute;
    top: 0;
    right: 0;

    z-index: -1;
    text-shadow: -0.001em -0.001em 1px rgba(255,255,255,0.15);
}
    
.heading h1:after {
    content: attr(data-text);
    position: absolute;
    top: 0;
    right: 0;

    z-index: -1;
    text-shadow: 10px 10px 10px rgba(0,0,0,0.5), 20px 20px 20px rgba(0,0,0,0.4), 30px 30px 30px rgba(0,0,0,0.1);
}

.downloads {
    position: relative;
    width: 1000px;
    margin-top: 4rem;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    flex-wrap: wrap;

    transition: all ease 1s;
}

.downloads button {
    font-size: large;
    font-family: 'Rubik', sans-serif;
    color: rgba(255,255,255,0.5);
    cursor: pointer;
    width: 350px;

    padding: 1.5rem;
    margin: 2rem;
    border-radius: 18px;
    border-width: 0;
    background-color: rgba(255,255,255,0.2);
}

.downloads .disabled {
    color: rgba(255,255,255,0.2);
    cursor: not-allowed;
}

.downloads .disabled .tooltip {
  width: 300px;
  font-size: medium;
  background-color: black;
  color: #fff;
  text-align: center;
  padding: 5px 0;
  border-radius: 6px;
  opacity: 0;
  transition: all ease 0.5s;
 
  position: absolute;
  z-index: 1;
}

.downloads .disabled:hover .tooltip {
    opacity: 0.6;
}

@media screen and (max-width: 1000px) {
    .heading h1 {
        font-size: 3rem;
        transition: all ease 1s;
    }

    .downloads {
        width: 450px;
    }
}

@media screen and (max-width: 500px) {
    .heading h1 {
        font-size: 2rem;
        transition: all ease 1s;
    }

    .downloads {
        width: 300px;
    }
}